function plotoptCA4(hObject, eventdata, Empty_Button, AxesC, AxesA, AxesSOLC, AxesSOLA, uonoff, uonoffC, plotopt, lvText, lvSlider, lcs, actx)

data = get(Empty_Button,'UserData');
if data.isdata*data.isnmf*max(data.afscomputed) == 0
    set(hObject, 'Value', 0);
    return;
end

AFScam(1,:) = get(AxesA,'cameraPosition');
AFStar(1,:) = get(AxesA, 'cameraTarget');
AFSupv(1,:) = get(AxesA, 'cameraUpVector');

AFScam(2,:) = get(AxesC,'cameraPosition');
AFStar(2,:) = get(AxesC, 'cameraTarget');
AFSupv(2,:) = get(AxesC, 'cameraUpVector');

if (data.motion == 0) && (data.motionC == 0)
    plotafsCA4(AxesA, AxesC, AxesSOLA, AxesSOLC, data.afsA, data.afsC, data.FIRPOLA, data.FIRPOLC, data.INNPOLA, data.INNPOLC, data.isFP, data.isIP, data.isAFS, lcs, [0 0 0], [-1 -1], plotopt);
    
    plotaddsCA4(AxesA, AxesC, AxesSOLA, AxesSOLC, data.afsA, data.afsC, data.fixA, data.fixC, data.U*data.S, data.V', data.choosen, data.x, data.t,...
    data.givena, data.givenc, data.S(2:4,2:4),data.S(1,1), [], [], [], [], lcs, [], [], plotopt, 0, 0, [])
else
    liveviewCA4(hObject, eventdata, Empty_Button, AxesC, AxesA, AxesSOLC, AxesSOLA, uonoff, uonoffC, plotopt, lvText, lvSlider, -1, lcs, [0 0 0])
end

set(AxesA, 'cameraPosition', AFScam(1,:));
set(AxesA, 'cameraTarget', AFStar(1,:));
set(AxesA, 'cameraUpVector', AFSupv(1,:));

set(AxesC, 'cameraPosition', AFScam(2,:));
set(AxesC, 'cameraTarget', AFStar(2,:));
set(AxesC, 'cameraUpVector', AFSupv(2,:));

